# Run email delivery route trace

This function traces the email delivery route to an email account.

Endpoint: GET /Email/trace_delivery
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `recipient` (string, required)
    The email address to which to trace a message delivery path.
    Example: "username@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "trace_delivery"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (object)
    Example: {"address":"username@example.com","destinations":[{"address":"username@example.com","aliasfile":"/etc/valiases/example.com","destinations":[{"mailbox":"username@example.com","type":"local_delivery"}],"type":"routed"}],"type":"routed"}

  - `result.data.address` (string)
    The email address of an email message recipient.
    Example: "username@example.com"

  - `result.data.type` (string)
    A type of trace node. The system returns this value to indicate the end of routing.
* bounce - The system rejected the email's delivery.
* command - The system will run a command when it receives an email.
* defer - The system deferred the email.
* discard - The system discarded the email.
* error - The system encountered an error.
* local_delivery - The system sent the email to a local mailbox.
* remote_delivery - The system sent the email via Simple Mail Transfer Protocol (SMTP).
* routed - The system routed the email elsewhere.

Note:
* The structure of the destinations return changes depending on the type return value.
* The routed type can return any other type's data structure as part of the destinations return value.

For more information, see the return structure for each type return value below:
    Example: "routed"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings
 describe non-critical failures or other problematic conditions
 noted while running a API.


